aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-28 10:53:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-30 08:23:17 +0000
commitc21d6c8459fdd54db574bdf6841e9d0c9186b87c (patch)
tree48c2a38700aff32aac1054cb42276d8ee4d9086b
parent6ed6bb0b4fd0f21a21f3cb4058ded20bd9da69fc (diff)
downloadaports-c21d6c8459fdd54db574bdf6841e9d0c9186b87c.tar.gz
aports-c21d6c8459fdd54db574bdf6841e9d0c9186b87c.tar.bz2
aports-c21d6c8459fdd54db574bdf6841e9d0c9186b87c.tar.xz
testing/py-daterangestr: new aport
Python converter for start and end dates https://github.com/marians/py-daterangestr
-rw-r--r--testing/py-daterangestr/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-daterangestr/APKBUILD b/testing/py-daterangestr/APKBUILD
new file mode 100644
index 0000000000..a40dcf10b9
--- /dev/null
+++ b/testing/py-daterangestr/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-daterangestr
+_pkgname=daterangestr
+pkgver=0.0.2
+pkgrel=0
+pkgdesc="Python converter for start and end dates"
+url="https://github.com/marians/py-daterangestr"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="528c4e7c7be23714c6b43d879405658f daterangestr-0.0.2.tar.gz"
+sha256sums="78afbd554798b93b6305361418a60855d000dd8c8147ca6887a329f2a627408b daterangestr-0.0.2.tar.gz"
+sha512sums="3c205fe4abe489be71510d1658e92b3c46707ecf14dc04db514071f8886d30e2e3d9a8859171397a8e21dde8d9e870c1c97b1de60bf7f4cdab28d751aa3b786d daterangestr-0.0.2.tar.gz"